petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSComputeLinearStability

computes the linear stability function at a point

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSComputeLinearStability(TS ts,PetscReal xr,PetscReal xi,PetscReal *yr,PetscReal *yi)

Collective on TS and Vec

### Input Parameters

| ts | - the TS context
| xr,xi | - real and imaginary part of input arguments

### Output Parameters

yr,yi -real and imaginary part of function value

### Keywords

TS, compute

### See Also

TSSetRHSFunction(), TSComputeIFunction()

### Level

developer

### Location

src/ts/interface/ts.c

### Implementations

TSComputeLinearStability_Euler in src/ts/impls/explicit/euler/euler.c
TSComputeLinearStability_Theta in src/ts/impls/implicit/theta/theta.c
TSComputeLinearStability_Mimex in src/ts/impls/mimex/mimex.c
TSComputeLinearStability_BasicSymplectic in src/ts/impls/symplectic/basicsymplectic/basicsymplectic.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages